Add ChangeOpDeserializer interface for services providing ChangeOps to Api\EditEntity
Closed, ResolvedPublic

Description

Currently Api\EditEntity hardcodes deserialization details specific to items and properties but not applying at all to the new Lexeme entity type.
We want to move out change op deserialization logic out of this class. There would be classes implementing the common deserialization interface that received a serialized form of change ops, and return entity-type-specific ChangeOps, that could be then used by API EditEntity class.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 22 2016, 3:39 PM
Ladsgroup renamed this task from Build ChangeOpDeserializer for EditEntity API injectable to Build ChangeOpDeserializer for injectable EditEntity API.Dec 27 2016, 6:49 AM

Change 329376 had a related patch set uploaded (by Ladsgroup):
Intorduce EditEntityApiChangeOpDeserializer interface

https://gerrit.wikimedia.org/r/329376

Ladsgroup moved this task from Proposed to Review on the Wikidata-Sprint board.Dec 28 2016, 2:47 AM
Ladsgroup claimed this task.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 28 2016, 2:47 AM
WMDE-leszek renamed this task from Build ChangeOpDeserializer for injectable EditEntity API to Add ChangeOpDeserializer interface for services providing ChangeOps to Api\EditEntity.Dec 29 2016, 3:43 PM
WMDE-leszek updated the task description. (Show Details)

@Ladsgroup: I've edited task description and the title a bit. Please check if it isn't something different than what you had in mind.

Change 329376 merged by jenkins-bot:
Introduce ChangeOpDeserializer interface

https://gerrit.wikimedia.org/r/329376

Change 330698 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
[WIP] Alternative ChangeOpDeserializer interface

https://gerrit.wikimedia.org/r/330698

WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.Jan 6 2017, 9:05 AM

Change 330698 abandoned by Aleksey Bekh-Ivanov (WMDE):
[WIP] Alternative ChangeOpDeserializer interface

https://gerrit.wikimedia.org/r/330698

thiemowmde closed this task as Resolved.Jan 18 2017, 11:37 AM
thiemowmde moved this task from incoming to in current sprint on the Wikidata board.